diff --git a/buglist b/buglist
index 6a2ccd5..f8e34a4 100644
--- a/buglist
+++ b/buglist
@@ -14,6 +14,14 @@ nonextend 60077:
 =========================================================================
 bug 7142: exp^log(x) Cannot take first of an empty list
 
+WS> ElementaryFunctionCategory(): Category == with
+WS>     log : $ -> $       ++ log(x) returns the natural logarithm of x.
+WS>     exp : $ -> $       ++ exp(x) returns %e to the power x.
+WS>     "**": ($, $) -> $  ++ x**y returns x to the power y.
+WS>  add
+WS>    if $ has Monoid then
+WS>      x ** y == exp(y * log x)
+
 The error apparently comes from EXPR where the implementation is
   x**y == exp(y * log(x))
 
diff --git a/changelog b/changelog
index c6d7e0e..b676600 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140613 tpd src/axiom-website/patches.html 20140613.07.tpd.patch
+20140613 tpd buglist 7142 exp^log(x) Cannot take first of an empty list update
 20140613 tpd src/axiom-website/patches.html 20140613.06.tpd.patch
 20140613 tpd buglist 7142 exp^log(x) Cannot take first of an empty list update
 20140613 tpd src/axiom-website/patches.html 20140613.05.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index eb95722..e905cde 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4432,6 +4432,8 @@ buglist 7142 exp^log(x) Cannot take first of an empty list update
 buglist 7142 exp^log(x) Cannot take first of an empty list update
 <a href="patches/20140613.06.tpd.patch">20140613.06.tpd.patch</a>
 buglist 7142 exp^log(x) Cannot take first of an empty list update
+<a href="patches/20140613.07.tpd.patch">20140613.07.tpd.patch</a>
+buglist 7142 exp^log(x) Cannot take first of an empty list update
  </body>
 </html>
 
